Bug 132155 - [New Port]science/brian:A clock-driven simulator for spiking neural networks
Summary: [New Port]science/brian:A clock-driven simulator for spiking neural networks
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-27 09:20 UTC by wenheping
Modified: 2009-03-16 06:10 UTC (History)
0 users

See Also:


Attachments
file.shar (12.97 KB, text/plain)
2009-02-27 09:20 UTC, wenheping
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description wenheping 2009-02-27 09:20:01 UTC
Brian is a simulator for spiking neural networks available on almost all
platforms. The motivation for this project is that a simulator should
not only save the time of processors, but also the time of scientists.

Brian is easy to learn and use, highly flexible and easily extensible.
The Brian package itself and simulations using it are all written in
the Python programming language, which is an easy, concise and highly
developed language with many advanced features and development tools,
excellent documentation and a large community of users providing support
and extension packages.

WWW:  http://www.briansimulator.org/

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-02-27 09:20:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2009-02-28 18:56:10 UTC
State Changed
From-To: open->feedback

hi wen, 

I can't fetch this distfile. 

http://32bit.miwibox.org/index.php?action=describe_port&id=1182 
http://64bit.miwibox.org/index.php?action=bad_buildports 

Could you please take a look?
Comment 3 Martin Wilke freebsd_committer 2009-03-16 06:07:27 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2009-03-16 06:07:52 UTC
miwi        2009-03-16 06:07:37 UTC

  FreeBSD ports repository

  Modified files:
    science              Makefile 
  Added files:
    science/brian        Makefile distinfo pkg-descr pkg-plist 
  Log:
  Brian is a simulator for spiking neural networks available on almost all
  platforms. The motivation for this project is that a simulator should
  not only save the time of processors, but also the time of scientists.
  
  Brian is easy to learn and use, highly flexible and easily extensible.
  The Brian package itself and simulations using it are all written in
  the Python programming language, which is an easy, concise and highly
  developed language with many advanced features and development tools,
  excellent documentation and a large community of users providing support
  and extension packages.
  
  WWW:  http://www.briansimulator.org/
  
  PR:             ports/132155
  Submitted by:   Wen Heping <wenheping@gmail.com>
  
  Revision  Changes    Path
  1.139     +1 -0      ports/science/Makefile
  1.1       +26 -0     ports/science/brian/Makefile (new)
  1.1       +3 -0      ports/science/brian/distinfo (new)
  1.1       +12 -0     ports/science/brian/pkg-descr (new)
  1.1       +221 -0    ports/science/brian/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"